<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: main.inc.php,v 1.23.8.1 2025/06/26 13:00:53 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $include_path, $msg, $layout_begin;
global $categ, $action, $mode, $resa_action;
global $resa_check, $id_empr, $groupID;
global $id_notice, $id_bulletin;

require_once("$class_path/resa_planning.class.php");
require_once("$include_path/resa_planning_func.inc.php");
require_once("$include_path/templates/resa_planning.tpl.php");
require_once("$class_path/mono_display.class.php");
require_once("$class_path/serials.class.php");
require_once("$class_path/resa.class.php");

// gestion des liens en rech resa ou pas
$link = "./circ.php?categ=resa_planning&id_empr=$id_empr&groupID=$groupID&id_notice=!!id!!";
$link_serial = "./circ.php?categ=resa_planning&resa_action=search_resa&id_empr=$id_empr&groupID=$groupID&mode=view_serial&serial_id=!!id!!";
$link_analysis = '';
$link_bulletin = "./circ.php?categ=resa_planning&resa_action=add_resa&id_empr=$id_empr&groupID=$groupID&id_bulletin=!!id!!";

switch ($categ) {
	case 'resa_planning' :
	    resa_planning_circ_controller::set_resa_check($resa_check);
	    resa_planning_circ_controller::set_id_empr($id_empr);
	    resa_planning_circ_controller::set_id_notice($id_notice);
	    resa_planning_circ_controller::set_id_bulletin($id_bulletin);
	    switch($resa_action) {
	        case 'search_resa' : //Recherche pour prévision
	            if (!resa_planning_circ_controller::aff_entete($layout_begin)) {
	                error_message($msg[350], $msg[54], 1 , './circ.php');
	                break;
	            }
	            print $layout_begin;
	            switch($mode) {
	                case '1' :
	                    // recherche catégorie/sujet
	                    include('./circ/resa_planning/subjects/main.inc.php');
	                    break;
	                case '5' :
	                    // recherche par termes
	                    include('./circ/resa_planning/terms/main.inc.php');
	                    break;
	                case '2' :
	                    // recherche éditeur/collection
	                    include('./circ/resa_planning/publishers/main.inc.php');
	                    break;
	                case '3' :
	                    // accès aux paniers
	                    include('./circ/resa_planning/cart.inc.php');
	                    break;
	                case 'view_serial':
	                    // affichage de la liste des éléments bulletinés pour un périodique
	                    include('./circ/resa_planning/view_serial.inc.php');
	                    break;
	                case '6' :
	                    // recherches avancees
	                    include('./circ/resa_planning/extended/main.inc.php');
	                    break;
	                default :
	                    // recherche auteur/titre
	                    $action_form = "./circ.php?categ=resa_planning&mode=0&id_empr=$id_empr&groupID=$groupID" ;
	                    include('./circ/resa_planning/authors/main.inc.php');
	                    break;
	            }
	            break;
	        default:
	            resa_planning_circ_controller::proceed($id);
	            break;
	    }
		break;
	case 'pret' :
		switch ($action) {
			case 'suppr_resa' :	//Suppression réservation depuis fiche lecteur
				resa_planning::delete($id_resa);
				break;
			default :
				break;
		}
		break;
	default :
		break;
}
